> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Location

> Create a new location under the specified workspace.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json post /v1/workspaces/{workspaceId}/locations
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces/{workspaceId}/locations:
    post:
      tags:
        - Locations
      summary: Create Location
      description: Create a new location under the specified workspace.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 200
                  example: Downtown Office
                timezone:
                  type: string
                  default: America/New_York
                  example: America/New_York
                phone_number:
                  type: string
                address:
                  type: string
                website_url:
                  type: string
                  format: uri
              required:
                - name
      responses:
        '201':
          description: Location created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Location'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    Location:
      type: object
      properties:
        id:
          type: string
        workspace_id:
          type: string
        name:
          type: string
        timezone:
          type: string
        phone_number:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        website_url:
          type: string
          nullable: true
        activated:
          type: boolean
        booking_enabled:
          type: boolean
        provider_selection_mode:
          type: string
        agent_setup_status:
          type: string
          nullable: true
        voice_agent_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - workspace_id
        - name
        - timezone
        - phone_number
        - address
        - website_url
        - activated
        - booking_enabled
        - provider_selection_mode
        - agent_setup_status
        - voice_agent_id
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````